# Class `menubar.icon_theme`

Class module for icon lookup for menubar

### Info:

- Copyright: 2015 Kazunobu Kuriyama
- Author: Kazunobu Kuriyama

## Methods

menubar.icon_theme:new (icon_theme_name, base_directories) | Class constructor of icon_theme
menubar.icon_theme:find_icon_path (icon_name, icon_size) | Look up an image file based on a given icon name and/or a preferable size.

## Methods

menubar.icon_theme:new (icon_theme_name, base_directories)
  Class constructor of icon_theme
  - icon_theme_name string Internal name of icon theme
  - base_directories table Paths used for lookup

  ### Returns:

  table An instance of the class icon_theme
menubar.icon_theme:find_icon_path (icon_name, icon_size)
  Look up an image file based on a given icon name and/or a preferable size.
  - icon_name string Icon name to be looked up
  - icon_size number Prefereable icon size

  ### Returns:

  string Absolute path to the icon file, or nil if not found

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18